---
id: 6852f01116912861c7d1b0e6
title: Step 3
challengeType: 20
dashedName: step-3
---

# --description--

Inside the `__init__` method, you need to assign the parameter values to the object's attributes so each email can store its information.

Inside your `__init__` method, remove the `pass` keyword and assign the parameters to `self.sender`, `self.receiver`, `self.subject`, and `self.body`.

# --hints--

You should assign the `sender` parameter to `self.sender`.

```js
({
    test: () => 
    {
        assert(runPython(`_Node(_code).find_class("Email").find_function("__init__").find_variable("self.sender").is_equivalent("self.sender = sender")`))
    }

})
```

You should assign the `receiver` parameter to `self.receiver`.

```js
({
    test: () => 
    {
        assert(runPython(`_Node(_code).find_class("Email").find_function("__init__").find_variable("self.receiver").is_equivalent("self.receiver = receiver")`))
    }

})
```

You should assign the `subject` parameter to `self.subject`.

```js
({
    test: () => 
    {
        assert(runPython(`_Node(_code).find_class("Email").find_function("__init__").find_variable("self.subject").is_equivalent("self.subject = subject")`))
    }

})
```

You should assign the `body` parameter to `self.body`.

```js
({
    test: () => 
    {
        assert(runPython(`_Node(_code).find_class("Email").find_function("__init__").find_variable("self.body").is_equivalent("self.body = body")`))
    }

})
```

# --seed--

## --seed-contents--

```py
--fcc-editable-region--
class Email:
    def __init__(self, sender, receiver, subject, body):
        pass
--fcc-editable-region--
```
